[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.CreateParams

Initializes the creation parameters for the class instance.

## Declaration

Source position: stdctrls.pp line 585

`protected procedure TCustomListBox.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | The creation parameters and flags for the instance.

## Description

CreateParams is an overridden method used initialize the creation parameters for the class instance.

CreateParams calls the inherited method, and ensures that the Params argument is updated to include style constants needed for properties in the list box control. These include the constants needed for the Sorted, MultiSelect, and Columns properties. Owner-drawn constants are also included based on the value in Style. Style constants are always included for scrollbars (horizontal and vertical), non-integral item height, string content, and notify events.

## See also

TCustomListBox.Sorted |  | Determines whether the list entries are sorted in alphanumeric order.
TCustomListBox.MultiSelect |  | Allows selection of more than one item from the list.
TCustomListBox.Columns |  | The number of visible columns displayed on the control.
TCustomListBox.Style |  | Appearance of the list box (standard, owner-draw fixed, or owner-draw variable).
TWinControl.CreateParams |  | Initializes the window creation parameter record with the settings for the control.